process.env.NODE_ENV = 'test';
var assert = require('assert');
var os = require('os');

process.env.NODE_ENV = 'test';
process.argv[2] = 'start';
require('./fixture');
var bones = require('bones');
bones.plugin.config.host = false;
var app = bones.start();
var server = app.servers.Core;

exports['valid hostnames'] = function() {
    assert.response(server, {
        url: '/hostname',
        headers: { host: 'foo:3000' }
    }, {
        status: 200,
        body: 'foo:3000'
    });

    assert.response(server, {
        url: '/hostname',
        headers: { host: '192.168.0.1:8888' }
    }, {
        status: 200,
        body: '192.168.0.1:8888'
    });

    assert.response(server, {
        url: '/hostname',
        headers: { host: 'this.is.a.very.long.name' }
    }, {
        status: 200,
        body: 'this.is.a.very.long.name'
    });
};

exports['invalid hostnames'] = function() {
    assert.response(server, {
        url: '/hostname',
        headers: { host: 'askd wekj:3000' }
    }, {
        status: 400
    });

    assert.response(server, {
        url: '/hostname',
        headers: { host: '<script type="javascript">' }
    }, {
        status: 400
    });

    assert.response(server, {
        url: '/hostname',
        headers: { host: "+ADw-SCRIPT+AD4-alert('XSS');+ADw-/SCRIPT+AD4-" }
    }, {
        status: 400
    });
};
